define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"About the REST APIs",
                    "href":"index.html"
                },
                {
                    "title":"All REST Endpoints",
                    "href":"rest-endpoints.html"
                }
            ]
        },
        {
            "heading":"Get Started",
            "topics":[
                {
                    "title":"Quick Start",
                    "href":"Quick_Start.html",
                    "topics":[
                        {
                            "title":"Service Layer Architecture",
                            "href":"service_layer_architecture.html"
                        },
                        {
                            "title":"Authentication and Authorization",
                            "href":"authentication_and_authorization.html",
                            "topics":[
                                {
                                    "title":"Role Based Access Control",
                                    "href":"Role_Based_Access_Control.html"
                                },
                                {
                                    "title":"Users and SecurityGroups",
                                    "href":"users_and_securitygroups.html"
                                }
                            ]
                        },
                        {
                            "title":"Support Matrix",
                            "href":"support_matrix.html"
                        },
                        {
                            "title":"Send Requests",
                            "href":"send_requests.html"
                        },
                        {
                            "title":"Use cURL",
                            "href":"Use_cURL.html"
                        },
                        {
                            "title":"Query Parameters",
                            "href":"query_parameters.html",
                            "topics":[
                                {
                                    "title":"Query Parameters - Schema",
                                    "href":"query_parameters_schema.html"
                                }
                            ]
                        },
                        {
                            "title":"Status Codes",
                            "href":"status_codes.html"
                        }
                    ]
                },
                {
                    "title":"REST APIs for OIPA SOAP Web Services",
                    "href":"wrapped_asfile.html",
                    "topics":[
                        {
                            "title":"FileReceived",
                            "href":"filereceived.html"
                        },
                        {
                            "title":"Exposed Computation",
                            "href":"exposed_computation.html"
                        },
                        {
                            "title":"Process Policy",
                            "href":"process_policy.html"
                        }
                    ]
                },
                {
                    "title":"Downstream Message Push",
                    "href":"DMP_Intro.html",
                    "topics":[
                        {
                            "title":"Downstream Message Push using REST",
                            "href":"downstream_message_push_using_rest.html"
                        },
                        {
                            "title":"Outbound Application Parameters",
                            "href":"downstream_message_push_parameters.html"
                        }
                    ]
                }
            ]
        },
        {
            "heading":"Tasks",
            "topics":[
                {
                    "title":"Calendars",
                    "href":"api-calendars.html",
                    "topics":[
                        {
                            "title":"Get a specific calendar by calendar code",
                            "href":"op-calendars-calendarcode-get.html"
                        },
                        {
                            "title":"Get list of calendars",
                            "href":"op-calendars-get.html"
                        }
                    ]
                },
                {
                    "title":"Cases",
                    "href":"api-cases.html",
                    "topics":[
                        {
                            "title":"Create Case",
                            "href":"op-cases-post.html"
                        },
                        {
                            "title":"Get a specific case by case Id",
                            "href":"op-cases-caseid-get.html"
                        },
                        {
                            "title":"Get list of cases",
                            "href":"op-cases-get.html"
                        },
                        {
                            "title":"Get the list of policies for a specific case by case Id",
                            "href":"op-cases-caseid-policies-get.html"
                        },
                        {
                            "title":"Update a specific case by case Id",
                            "href":"op-cases-caseid-put.html"
                        }
                    ]
                },
                {
                    "title":"Clients",
                    "href":"api-clients.html",
                    "topics":[
                        {
                            "title":"Create client phones",
                            "href":"op-clients-clientid-phones-post.html"
                        },
                        {
                            "title":"Create clients",
                            "href":"op-clients-post.html"
                        },
                        {
                            "title":"Create clients addresses",
                            "href":"op-clients-clientid-addresses-post.html"
                        },
                        {
                            "title":"Get a specific address for a specific client by client Id and address Id",
                            "href":"op-clients-clientid-addresses-addressid-get.html"
                        },
                        {
                            "title":"Get a specific client by client Id",
                            "href":"op-clients-clientid-get.html"
                        },
                        {
                            "title":"Get a specific phone for a specific client by client Id and phone Id",
                            "href":"op-clients-clientid-phones-phoneid-get.html"
                        },
                        {
                            "title":"Get list of clients",
                            "href":"op-clients-get.html"
                        },
                        {
                            "title":"Get the list of addresses for a specific client by client Id",
                            "href":"op-clients-clientid-addresses-get.html"
                        },
                        {
                            "title":"Get the list of client relationships for a specific client by client Id",
                            "href":"op-clients-clientid-clientrelationships-get.html"
                        },
                        {
                            "title":"Get the list of phones for a specific client by client Id",
                            "href":"op-clients-clientid-phones-get.html"
                        },
                        {
                            "title":"Get the list of roles for a specific client by client Id",
                            "href":"op-clients-clientid-clientroles-get.html"
                        },
                        {
                            "title":"Update a specific client address for a specific client by client Id and address Id",
                            "href":"op-clients-clientid-addresses-addressid-put.html"
                        },
                        {
                            "title":"Update a specific client by client Id",
                            "href":"op-clients-clientid-put.html"
                        },
                        {
                            "title":"Update a specific client phone for a specific client by client Id and phone Id",
                            "href":"op-clients-clientid-phones-phoneid-put.html"
                        }
                    ]
                },
                {
                    "title":"Codes",
                    "href":"api-codes.html",
                    "topics":[
                        {
                            "title":"Get the list of code details for a specific code name",
                            "href":"op-codes-get.html"
                        }
                    ]
                },
                {
                    "title":"Companies",
                    "href":"api-companies.html",
                    "topics":[
                        {
                            "title":"Get a specific company by company Id",
                            "href":"op-companies-companyid-get.html"
                        },
                        {
                            "title":"Get list of companies",
                            "href":"op-companies-get.html"
                        },
                        {
                            "title":"Get the list of plans for a company by company Id",
                            "href":"op-companies-companyid-plans-get.html"
                        },
                        {
                            "title":"Get the list of products for a company by company Id",
                            "href":"op-companies-companyid-products-get.html"
                        }
                    ]
                },
                {
                    "title":"Domains",
                    "href":"api-domains.html",
                    "topics":[
                        {
                            "title":"Create a domain",
                            "href":"op-url-domains-post.html"
                        },
                        {
                            "title":"Delete a specific domain by domain Id",
                            "href":"op-url-domains-domainid-delete.html"
                        },
                        {
                            "title":"Get all domains",
                            "href":"op-url-domains-get.html"
                        },
                        {
                            "title":"Gets a specific domain by domain Id",
                            "href":"op-url-domains-domainid-get.html"
                        },
                        {
                            "title":"Update a specific domain by domain Id",
                            "href":"op-url-domains-domainid-put.html"
                        }
                    ]
                },
                {
                    "title":"ExposedComputation",
                    "href":"api-exposedcomputation.html",
                    "topics":[
                        {
                            "title":"Process exposed computation",
                            "href":"op-exposedcomputation-post.html"
                        }
                    ]
                },
                {
                    "title":"FileReceived",
                    "href":"api-filereceived.html",
                    "topics":[
                        {
                            "title":"Create FileReceived",
                            "href":"op-filereceived-post.html"
                        }
                    ]
                },
                {
                    "title":"Generic",
                    "href":"api-generic.html",
                    "topics":[
                        {
                            "title":"Encrypt the string",
                            "href":"op-encryptionservice-get.html"
                        }
                    ]
                },
                {
                    "title":"GroupCustomers",
                    "href":"api-groupcustomers.html",
                    "topics":[
                        {
                            "title":"Create group customer",
                            "href":"op-groupcustomers-post.html"
                        },
                        {
                            "title":"Get a specific address for a specific group customer by groupCustomer Id and address Id",
                            "href":"op-groupcustomers-groupcustomerid-addresses-addressid-get.html"
                        },
                        {
                            "title":"Get a specific group customer by groupCustomerId",
                            "href":"op-groupcustomers-groupcustomerid-get.html"
                        },
                        {
                            "title":"Get list of addresses for a specific group customer by groupCustomer Id",
                            "href":"op-groupcustomers-groupcustomerid-addresses-get.html"
                        },
                        {
                            "title":"Get the list of groupCustomers",
                            "href":"op-groupcustomers-get.html"
                        },
                        {
                            "title":"Update a specific group customer by groupCustomerId",
                            "href":"op-groupcustomers-groupcustomerid-put.html"
                        }
                    ]
                },
                {
                    "title":"OutboundApplications",
                    "href":"api-outboundapplications.html",
                    "topics":[
                        {
                            "title":"Create only security details for an existing application Id",
                            "href":"op-outboundapplications-outboundapplicationid-outboundsecurities-post.html"
                        },
                        {
                            "title":"Create the security details of downstream application",
                            "href":"op-outboundapplications-post.html"
                        },
                        {
                            "title":"Delete outbound application and corresponding security details",
                            "href":"op-outboundapplications-outboundapplicationid-delete.html"
                        },
                        {
                            "title":"Get details of 100 latest records of outboundApplication",
                            "href":"op-outboundapplications-get.html"
                        },
                        {
                            "title":"Get details of given application id and its corresponding security",
                            "href":"op-outboundapplications-outboundapplicationid-get.html"
                        },
                        {
                            "title":"Get specific security details of given application Id",
                            "href":"op-outboundapplications-outboundapplicationid-outboundsecurities-get.html"
                        },
                        {
                            "title":"Update outbound application",
                            "href":"op-outboundapplications-outboundapplicationid-put.html"
                        },
                        {
                            "title":"Update outbound application security",
                            "href":"op-outboundapplications-outboundapplicationid-outboundsecurities-securityid-put.html"
                        }
                    ]
                },
                {
                    "title":"Plans",
                    "href":"api-plans.html",
                    "topics":[
                        {
                            "title":"Get a specific plan by plan Id",
                            "href":"op-plans-planid-get.html"
                        },
                        {
                            "title":"Get a specific plan slice by plan Id and plan slice Id",
                            "href":"op-plans-planid-planslices-plansliceid-get.html"
                        },
                        {
                            "title":"Get list of plan slices by plan Id",
                            "href":"op-plans-planid-planslices-get.html"
                        },
                        {
                            "title":"Get list of plans",
                            "href":"op-plans-get.html"
                        }
                    ]
                },
                {
                    "title":"Policies",
                    "href":"api-policies.html",
                    "topics":[
                        {
                            "title":"Create policy",
                            "href":"op-policies-post.html"
                        },
                        {
                            "title":"Create requirements for a policy by policy Id",
                            "href":"op-policies-policyid-requirements-post.html"
                        },
                        {
                            "title":"Create roles for a policy by policy Id",
                            "href":"op-policies-policyid-roles-post.html"
                        },
                        {
                            "title":"Create segments for a policy by policy Id",
                            "href":"op-policies-policyid-segments-post.html"
                        },
                        {
                            "title":"Get a specific impairment for a specific policy by policy Id and impairment Id",
                            "href":"op-policies-policyid-impairments-impairmentid-get.html"
                        },
                        {
                            "title":"Get a specific policy by policy Id",
                            "href":"op-policies-policyid-get.html"
                        },
                        {
                            "title":"Get a specific requirement for a specific policy by policy Id and requirement Id",
                            "href":"op-policies-policyid-requirements-requirementid-get.html"
                        },
                        {
                            "title":"Get a specific role for a specific policy by policy Id and role Id",
                            "href":"op-policies-policyid-roles-roleid-get.html"
                        },
                        {
                            "title":"Get a specific segment for a specific policy by policy Id and segment Id",
                            "href":"op-policies-policyid-segments-segmentid-get.html"
                        },
                        {
                            "title":"Get list of impairments for a specific policy by policy Id",
                            "href":"op-policies-policyid-impairments-get.html"
                        },
                        {
                            "title":"Get list of policies",
                            "href":"op-policies-get.html"
                        },
                        {
                            "title":"Get list of requirements for a specific policy by policy Id",
                            "href":"op-policies-policyid-requirements-get.html"
                        },
                        {
                            "title":"Get list of roles for a specific policy by policy Id",
                            "href":"op-policies-policyid-roles-get.html"
                        },
                        {
                            "title":"Get list of roles for a specific segment by policy Id and segment Id",
                            "href":"op-policies-policyid-segments-segmentid-roles-get.html"
                        },
                        {
                            "title":"Get list of segments for a specific policy by policy Id",
                            "href":"op-policies-policyid-segments-get.html"
                        },
                        {
                            "title":"Update a segment for a specific policy by policy Id and segment Id",
                            "href":"op-policies-policyid-segments-segmentid-put.html"
                        },
                        {
                            "title":"Update a specific policy by policy Id",
                            "href":"op-policies-policyid-put.html"
                        },
                        {
                            "title":"Update a specific requirement for a specific policy by policy Id and requirement Id",
                            "href":"op-policies-policyid-requirements-requirementid-put.html"
                        },
                        {
                            "title":"Update a specific role for a specific policy by policy Id and role Id",
                            "href":"op-policies-policyid-roles-roleid-put.html"
                        }
                    ]
                },
                {
                    "title":"ProcessPolicy",
                    "href":"api-processpolicy.html",
                    "topics":[
                        {
                            "title":"Process policy",
                            "href":"op-processpolicy-put.html"
                        }
                    ]
                },
                {
                    "title":"Products",
                    "href":"api-products.html",
                    "topics":[
                        {
                            "title":"Get a specific plan for a product by product Id and plan Id",
                            "href":"op-products-productid-plans-planid-get.html"
                        },
                        {
                            "title":"Get a specific product by product Id",
                            "href":"op-products-productid-get.html"
                        },
                        {
                            "title":"Get list of plans for a product by product Id",
                            "href":"op-products-productid-plans-get.html"
                        },
                        {
                            "title":"Get list of products",
                            "href":"op-products-get.html"
                        }
                    ]
                },
                {
                    "title":"Queries",
                    "href":"api-queries.html",
                    "topics":[
                        {
                            "title":"Execute a saved SQL query by query name",
                            "href":"op-queries-queryname-get.html"
                        },
                        {
                            "title":"Post SQL query to OIPA",
                            "href":"op-queries-post.html"
                        }
                    ]
                },
                {
                    "title":"Schemas",
                    "href":"api-schemas.html",
                    "topics":[
                        {
                            "title":"Get a specific schema definition by entity",
                            "href":"op-schema-entity-get.html"
                        },
                        {
                            "title":"Get all entity schema definition links",
                            "href":"op-schemas-get.html"
                        }
                    ]
                },
                {
                    "title":"Segments",
                    "href":"api-segments.html",
                    "topics":[
                        {
                            "title":"Create segment roles by segment Id",
                            "href":"op-segments-segmentid-roles-post.html"
                        },
                        {
                            "title":"Get a specific segment by segment Id",
                            "href":"op-segments-segmentid-get.html"
                        },
                        {
                            "title":"Get list of roles for a specific segment by segment Id",
                            "href":"op-segments-segmentid-roles-get.html"
                        },
                        {
                            "title":"Update a specific segment role for a specific segment by segment Id and role Id",
                            "href":"op-segments-segmentid-roles-roleid-put.html"
                        }
                    ]
                },
                {
                    "title":"Users and Security Group(s)",
                    "href":"api-users-and-security-group-s.html",
                    "topics":[
                        {
                            "title":"Create one or more security groups",
                            "href":"op-securitygroups-post.html"
                        },
                        {
                            "title":"Create user",
                            "href":"op-users-post.html"
                        },
                        {
                            "title":"Delete a specific security group by security group name",
                            "href":"op-securitygroups-securitygroupname-delete.html"
                        },
                        {
                            "title":"Delete a specific security group for a user by login name and security group name",
                            "href":"op-users-loginname-securitygroups-securitygroupname-delete.html"
                        },
                        {
                            "title":"Delete a specific user by login name",
                            "href":"op-users-loginname-delete.html"
                        },
                        {
                            "title":"Delete all the security groups for a specific user by login name",
                            "href":"op-users-loginname-securitygroups-delete.html"
                        },
                        {
                            "title":"Get a specific security group by security group name",
                            "href":"op-securitygroups-securitygroupname-get.html"
                        },
                        {
                            "title":"Get a specific user by login name",
                            "href":"op-users-loginname-get.html"
                        },
                        {
                            "title":"Get all security groups",
                            "href":"op-securitygroups-get.html"
                        },
                        {
                            "title":"Get all users",
                            "href":"op-users-get.html"
                        },
                        {
                            "title":"Get list of security groups for a specific user by login name",
                            "href":"op-users-loginname-securitygroups-get.html"
                        },
                        {
                            "title":"Get list of users for a specific security group by security group name",
                            "href":"op-securitygroups-securitygroupname-users-get.html"
                        },
                        {
                            "title":"Update a specific user by login name",
                            "href":"op-users-loginname-put.html"
                        }
                    ]
                }
            ]
        }
    ]
});